import "./SignUpPage.css"
import {Link} from "react-router-dom";

export default function SignUpProfessorPage() {
    return (
        <div className='signup-professor-page center-content'>
            <section className='signup-form'>
                <h2>Professor Sign Up</h2>
                <form>
                    <label htmlFor='email'>VT Email:</label>
                    <input type='email' id='email' name='email' required/>
                    <label htmlFor='password'>Password:</label>
                    <input type='password' id='password' name='password' required/>
                    <label htmlFor='confirm-password'>Confirm Password:</label>
                    <input type='password' id='confirm-password' name='confirm-password' required/>

                    <label htmlFor='research-lab-name'>Research Lab Name:</label>
                    <input type='text' id='research-lab-name' name='research-lab-name' required/>

                    <label htmlFor='research-lab-website'>Research Lab Website URL:</label>
                    <input type='url' id='research-lab-website' name='research-lab-website' required/>

                    <label htmlFor='pi-full-name'>Principle Investigator Full Name:</label>
                    <input type='text' id='pi-full-name' name='pi-full-name' required/>

                    <label htmlFor='research-lab-college'>Research Lab College:</label>
                    <select id='research-lab-college' name='research-lab-college' required>
                        <option value='agr'>College of Agriculture and Life Sciences</option>
                        <option value='arc'>College of Architecture, Arts, and Design</option>
                        <option value='bus'>Pamplin College of Business</option>
                        <option value='eng'>College of Engineering</option>
                        <option value='lib'>College of Liberal Arts and Human Sciences</option>
                        <option value='nat'>College of Natural Resources and Environment</option>
                        <option value='sci'>College of Science</option>
                        <option value='vet'>Virginia-Maryland College of Veterinary Medicine</option>
                        <option value='med'>Virginia Tech Carilion School of Medicine</option>
                    </select>

                    <label htmlFor='research-lab-description'>Research Lab Description:</label>
                    <textarea id='research-lab-description' name='research-lab-description' required/>

                    <button className="primary-button" type='submit'>SIGN UP</button>
                </form>
                <div className="have-account">
                    <p>Already have an account?</p>
                    <Link to="/login"><a>Login</a></Link>
                </div>
            </section>
        </div>
    );
}